ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package projections
  Definition Classes
    adam
-  abstract class FieldEnumeration extends Enumeration

  Abstract class that all record-specific enumerations extend.

  Abstract class that all record-specific enumerations extend.

  Definition Classes
    projections
- SchemaVal
- Val
- Value
- ValueSet

c

org.bdgenomics.adam.projections.FieldEnumeration

# SchemaVal 

###

#### class SchemaVal extends Val with FieldValue

An enumerated field that is part of this schema.

Linear Supertypes
FieldValue, FieldEnumeration.Val, FieldEnumeration.Value, Serializable, Serializable, Ordered[FieldEnumeration.Value], Comparable[FieldEnumeration.Value], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SchemaVal
2. FieldValue
3. Val
4. Value
5. Serializable
6. Serializable
7. Ordered
8. Comparable
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SchemaVal()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(v: FieldEnumeration.Value): FieldEnumeration.ValueSet
   Definition Classes
     Value
4.  def <(that: FieldEnumeration.Value): Boolean
   Definition Classes
     Ordered
5.  def <=(that: FieldEnumeration.Value): Boolean
   Definition Classes
     Ordered
6.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
7.  def >(that: FieldEnumeration.Value): Boolean
   Definition Classes
     Ordered
8.  def >=(that: FieldEnumeration.Value): Boolean
   Definition Classes
     Ordered
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
11.  def compare(that: FieldEnumeration.Value): Int
    Definition Classes
      Value → Ordered
12.  def compareTo(that: FieldEnumeration.Value): Int
    Definition Classes
      Ordered → Comparable
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(other: Any): Boolean
    Definition Classes
      Value → AnyRef → Any
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  def hashCode(): Int
    Definition Classes
      Value → AnyRef → Any
17.  def id: Int
    Definition Classes
      Val → Value
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
22.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Val
23.  def schema: Schema

    The schema for the record that this field is in.

    The schema for the record that this field is in.

    Definition Classes
      SchemaVal → FieldValue
24.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      Val → AnyRef → Any
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from FieldValue

### Inherited from FieldEnumeration.Val

### Inherited from FieldEnumeration.Value

### Inherited from Serializable

### Inherited from Ordered[FieldEnumeration.Value]

### Inherited from Comparable[FieldEnumeration.Value]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped